Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Slack doesn't open as version is too old?

  • பதில்கள் இல்லை
  • 0 இந்த பிரச்னைகள் உள்ளது
  • 1 view

My computer is very old OS X 10.9.5 and my Firefox version I think it is 78.15.0esr I used to use SLACK fine in the browser (not the app because the OSX is too old for the app). Unfortunately recently it stopped working - possibly when I tried to upgrade to a new version of Firefox, but then I downgraded again because the updated version didn't quite work with the old OSX. Slack says my browser is not supported but I used to used it for years and it worked. Is there anything I could do to make Slack work again without updating the OS? Thanks GLoria

My computer is very old OS X 10.9.5 and my Firefox version I think it is 78.15.0esr I used to use SLACK fine in the browser (not the app because the OSX is too old for the app). Unfortunately recently it stopped working - possibly when I tried to upgrade to a new version of Firefox, but then I downgraded again because the updated version didn't quite work with the old OSX. Slack says my browser is not supported but I used to used it for years and it worked. Is there anything I could do to make Slack work again without updating the OS? Thanks GLoria
Attached screenshots

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.